<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:promo_block_groups" prefix="promo-block" title_preset="promo_block_list" additional_blue_bar_render_as="grid_ml_selector" pagination="1"/>

<!-- ToolBar --->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
	  	<td>
			<script type="text/javascript">
				<inp2:m_include t="promo_block_groups/section_reload"/>
			</script>

	  		<script type="text/javascript">
	  			//do not rename - this function is used in default grid for double click!
				function edit() {
					std_edit_item('promo-block', 'promo_blocks/promo_block_edit');
				}

				var a_toolbar = new ToolBar();

				a_toolbar.AddButton(
					new ToolBarButton(
						'new_item',
						'<inp2:m_phrase label="la_ToolTip_Add" escape="1"/>',
						function () {
							std_precreate_item('promo-block', 'promo_blocks/promo_block_edit');
						}
					)
				);

				a_toolbar.AddButton(
					new ToolBarButton(
						'edit',
						'<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>::<inp2:m_phrase label="la_ShortToolTip_Edit" escape="1"/>',
						edit
					)
				);

				a_toolbar.AddButton(
					new ToolBarButton(
						'delete',
						'<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
						function () {
							std_delete_items('promo-block')
						}
					)
				);

				a_toolbar.AddButton(new ToolBarSeparator('sep1'));

				a_toolbar.AddButton(
					new ToolBarButton(
						'setprimary',
						'<inp2:m_phrase label="la_ToolTip_SetSticky" escape="1"/>',
						function () {
							submit_event('promo-block', 'OnSetSticky');
						}
					)
				);

				a_toolbar.AddButton(
					new ToolBarButton(
						'reset_edit',
						'<inp2:m_phrase label="la_ToolTip_ResetCounters" escape="1"/>',
						function () {
							submit_event('promo-block', 'OnResetCounters');
						}
					)
				);

				a_toolbar.AddButton(new ToolBarSeparator('sep2'));

				a_toolbar.AddButton(
					new ToolBarButton(
						'approve',
						'<inp2:m_phrase label="la_ToolTip_Approve" escape="1"/>',
						function () {
							submit_event('promo-block', 'OnMassApprove');
						}
					)
				);

				a_toolbar.AddButton(
					new ToolBarButton(
						'decline',
						'<inp2:m_phrase label="la_ToolTip_Decline" escape="1"/>',
						function () {
							submit_event('promo-block', 'OnMassDecline');
						}
					)
				);

				a_toolbar.AddButton(new ToolBarSeparator('sep3'));

				a_toolbar.AddButton(
					new ToolBarButton(
						'move_up',
						'<inp2:m_phrase label="la_ToolTip_MoveUp" escape="1"/>',
						function () {
							submit_event('promo-block', 'OnMassMoveUp');
						}
					)
				);

				a_toolbar.AddButton(
					new ToolBarButton(
						'move_down',
						'<inp2:m_phrase label="la_ToolTip_MoveDown" escape="1"/>',
						function () {
							submit_event('promo-block', 'OnMassMoveDown');
						}
					)
				);

				a_toolbar.AddButton(new ToolBarSeparator('sep4'));

				a_toolbar.AddButton(
					new ToolBarButton(
						'tools',
						'<inp2:m_phrase label="la_ToolTip_Settings" escape="1"/>',
						function () {
							direct_edit('promo-block', '<inp2:promo-block-group_EditLink edit_template="promo_block_groups/promo_block_group_edit" js_escape="1"/>');
						}
					)
				);

				a_toolbar.AddButton(
					new ToolBarButton(
						'view',
						'<inp2:m_phrase label="la_ToolTip_View" escape="1"/>',
						function () {
							show_viewmenu(a_toolbar, 'view');
						}
					)
				);

				a_toolbar.Render();

				function edit_promoblock(doc_id)
				{
					set_hidden_field('promo-block[' + doc_id + ']BlockId', 'on');
					std_edit_item('promo-block', 'promo_blocks/promo_block_edit');
				}
			</script>
		</td>
		<inp2:m_RenderElement name="search_main_toolbar" prefix="promo-block" grid="Default"/>
	</tr>
</tbody>
</table>

<inp2:m_DefineElement name="file_block">
	<a target="_blank" href="<inp2:m_BaseURL/>system/images/<inp2:Field field='Image'/>"><inp2:Field field="Image"/></a>
</inp2:m_DefineElement>

<inp2:m_RenderElement name="grid" PrefixSpecial="promo-block" IdField="BlockId" grid="Default" grid_filters="1"/>
<script type="text/javascript">
	Grids['promo-block'].SetDependantToolbarButtons( new Array('edit','delete','setprimary','reset_edit','approve','decline','move_up','move_down') );
</script>
<inp2:m_include t="incs/footer"/>
